Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openspml.message
Class AttributeDefinition

    java.lang.Object
      |
      +--org.openspml.message.AttributeDefinition

public class AttributeDefinition
extends java.lang.Object

A class representing an `attributeDefinition` element.

Constructor Summary
`AttributeDefinition()`

Method Summary
`static AttributeDefinition` | `find(java.util.List defs, java.lang.String name)`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getName()`
`java.util.Map` | `getProperties()`
`java.lang.Object` | `getProperty(java.lang.String name)`
`java.lang.String` | `getType()`
`boolean` | `isMulti()`
`void` | `setDescription(java.lang.String s)`
`void` | `setMulti(boolean b)`
`void` | `setName(java.lang.String s)`
`void` | `setProperties(java.util.Map props)`
`void` | `setProperty(java.lang.String name, java.lang.Object value)`
`void` | `setType(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeDefinition

    public AttributeDefinition()

Method Detail

### setName

    public void setName(java.lang.String s)

### setDescription

    public void setDescription(java.lang.String s)

### setType

    public void setType(java.lang.String s)

### setMulti

    public void setMulti(boolean b)

### setProperties

    public void setProperties(java.util.Map props)

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.Object value)

### getName

    public java.lang.String getName()

### getDescription

    public java.lang.String getDescription()

### getType

    public java.lang.String getType()

### isMulti

    public boolean isMulti()

### getProperties

    public java.util.Map getProperties()

### getProperty

    public java.lang.Object getProperty(java.lang.String name)

### find

    public static AttributeDefinition find(java.util.List defs,
                                           java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD